/*-- -------------------------- -->
<---        Core Styles         -->
<--- -------------------------- -*/
/* Mobile - 360px */
@media only screen and (min-width: 0em) {

  body,
  html,
  * {
    font-size: 100%;
    margin: 0;
    box-sizing: border-box;
    padding: 0;
  }

  .blog-container {
    width: 94%;
    max-width: 70em;
    margin: auto;
  }

  .blog-link {
    font-size: 1rem;
    font-weight: 700;
    /* 46px - 56px */
    line-height: clamp(2.875em, 5.5vw, 3.5em);
    text-align: center;
    text-decoration: none;
    min-width: 9.375rem;
    margin: auto;
    /* prevents padding from adding to the width */
    box-sizing: border-box;
    padding: 0 1.5rem;
    background-color: var(--bodyText);
    color: #fff;
    border-radius: 0.25rem;
    display: inline-block;
    position: relative;
    z-index: 1;
    transition: color .3s;
  }

  .blog-link:before {
    content: '';
    width: 100%;
    height: 100%;
    box-sizing: border-box;
    background: #fff;
    opacity: 0;
    border: 1px solid var(--bodyText);
    border-radius: 0.25rem;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    transition: opacity .3s;
  }

  .blog-link:hover {
    color: var(--bodyText);
  }

  .blog-link:hover:before {
    opacity: 1;
  }
}

/*-- -------------------------- -->
  <---           Header           -->
  <--- -------------------------- -*/
/* Mobile - 360px */
@media only screen and (min-width: 0em) {
  #header {
    position: relative;
    z-index: 1;
  }

  #header .blog-container {
    padding: clamp(100px, 14vw, 200px) 0 clamp(50px, 11vw, 100px);
  }

  #header .blog-header {
    font-size: clamp(24px, 4vw, 48px);
    font-weight: 700;
    line-height: 1.2em;
    text-align: left;
    width: 100%;
    margin: 0;
    color: #fff;
  }

  #header .blog-bg {
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
  }

  #header .blog-bg:before {
    /* color overlay */
    content: '';
    width: 100%;
    height: 100%;
    background: #000;
    opacity: .6;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
  }

  #header .blog-bg img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: absolute;
    top: 0;
    left: 0;
  }
}

/*-- -------------------------- -->
  <---   Interior Page Header     -->
  <--- -------------------------- -*/
/* Mobile */
@media only screen and (min-width: 0em) {
  #int-hero {
    min-height: 30vh;
    padding-top: 3.125rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: relative;
    z-index: 1;
  }

  #int-hero:before {
    content: '';
    width: 100%;
    height: 100%;
    background: #000;
    opacity: .7;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
  }

  #int-hero picture {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -2;
  }

  #int-hero picture img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: absolute;
    top: 0;
    left: 0;
  }

  #int-hero h1 {
    font-size: 2.13333333rem;
    text-align: center;
    width: 96%;
    max-width: 31.25rem;
    margin: 0 auto;
    margin-top: 4.375rem;
    margin-bottom: 1.875rem;
    color: #fff;
    position: relative;
  }

  #int-hero p {
    text-align: center;
    width: 96%;
    max-width: 25rem;
    margin: auto;
    margin-bottom: 1.875rem;
    color: #fff;
    display: block;
  }
}

/* Tablet */
@media only screen and (min-width: 48em) {
  #int-hero {
    font-size: 100%;
  }

  #int-hero h1 {
    font-size: 4rem;
  }
}

/* Small Desktop */
@media only screen and (min-width: 64em) {
  #int-hero {
    font-size: inherit;
    height: auto;
    min-height: 18.75rem;
    padding-top: 11.25rem;
    background-attachment: fixed;
    padding-block-end: 6.25rem;
  }
}

/*-- -------------------------- -->
  <---        Main Content        -->
  <--- -------------------------- -*/
/* Mobile - 360px */
@media only screen and (min-width: 0em) {
  .header-container {
    max-width: 70rem;
    margin: auto;
    padding: clamp(150px, 13vw, 300px) 0 3.75rem;
  }

  .post-container {
    padding: clamp(150px, 13vw, 300px) 0 3.75rem;
  }

  .blog-container {
    padding-bottom: clamp(4rem, 7vw, 6.25rem);
  }

  .main-content-wrapper {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    row-gap: 3.125em;
  }

  .main-content {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    row-gap: 3.125em;
  }

  h1 {
    font-size: clamp(1.9375rem, 3.9vw, 3.0625rem);
    line-height: 1.2em;
    text-align: left;
    width: 100%;
    margin: 0;
    color: var(--bodyText);
  }
}

/* Tablet - 1024px */
@media only screen and (min-width: 64em) {
  .main-content-wrapper {
    flex-direction: row;
    align-items: flex-start;
    column-gap: 1.25em;
  }
}

/*-- -------------------------- -->
  <---    Recent Blog Articles    -->
  <--- -------------------------- -*/
/* Mobile - 360px */
@media only screen and (min-width: 0em) {
  .recent-articles {
    width: 100%;
    max-width: 49.6875em;
    overflow: hidden;
    flex: none;
  }

  .recent-articles .blog-mainImage {
    width: 100%;
    height: clamp(200px, 30vw, 400px);
    overflow: hidden;
    border-radius: 0.5em 0.5em 0 0;
    display: block;
    position: relative;
  }

  .recent-articles .blog-mainImage img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: absolute;
    top: 0;
    left: 0;
  }

  .recent-articles .article-group {
    padding: clamp(30px, 5vw, 50px);
    border: 1px solid #ebebeb;
    border-top: none;
    border-radius: 0 0 0.5em 0.5em;
  }

  .recent-articles .blog-author-img {
    width: 2em;
    height: 2em;
    overflow: hidden;
    border-radius: 50%;
    display: block;
    position: relative;
  }

  .recent-articles .blog-author-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: absolute;
    top: 0;
    left: 0;
  }

  .recent-articles .blog-authorGroup {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 0.75rem;
  }

  .recent-articles .blog-author,
  .recent-articles .blog-date {
    font-size: 0.875rem;
    line-height: 1.5em;
    color: var(--bodyText);
  }

  .recent-articles .blog-dot {
    width: 3px;
    height: 3px;
    background-color: var(--primary);
    border-radius: 50%;
    display: block;
  }

  .recent-articles .blog-h1 {
    font-size: clamp(20px, 5vw, 32px);
    font-weight: 700;
    line-height: 1.4em;
    margin: 1rem 0;
    color: var(--bodyText);
  }

  .recent-articles .blog-desc {
    font-size: 1rem;
    line-height: 1.5em;
    margin: 1rem 0 2rem;
    color: var(--bodyText);
  }

  .recent-articles .blog-link {
    font-size: 1rem;
    font-weight: 700;
    /* 46px - 56px */
    line-height: clamp(2.875em, 5.5vw, 3.5em);
    text-align: center;
    text-decoration: none;
    min-width: 9.375rem;
    margin: auto;
    /* prevents padding from adding to the width */
    box-sizing: border-box;
    padding: 0 1.5rem;
    background-color: var(--bodyText);
    color: #fff;
    border-radius: 0.25rem;
    display: inline-block;
    position: relative;
    z-index: 1;
    transition: color .3s;
  }

  .recent-articles .blog-link:before {
    content: '';
    width: 100%;
    height: 100%;
    box-sizing: border-box;
    background: #fff;
    opacity: 0;
    border: 1px solid var(--bodyText);
    border-radius: 0.25rem;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    transition: opacity .3s;
  }

  .recent-articles .blog-link:hover {
    color: var(--bodyText);
  }

  .recent-articles .blog-link:hover:before {
    opacity: 1;
  }
}

/* Dark Mode */
@media only screen and (min-width: 0em) {

  body.dark-mode .recent-articles .blog-h1,
  body.dark-mode .recent-articles .blog-desc,
  body.dark-mode .recent-articles .blog-author,
  body.dark-mode .recent-articles .blog-date {
    color: #f7f7f7;
  }

  body.dark-mode .recent-articles .article-group {
    border-color: rgba(255, 255, 255, 0.2);
  }

  body.dark-mode .blog-sidebar .feature-h3,
  body.dark-mode .blog-sidebar .feature-date,
  body.dark-mode .blog-sidebar .blog-header {
    color: #f7f7f7;
  }

  body.dark-mode .blog-sidebar .blog-header:after {
    background: var(--primary);
  }

  body.dark-mode .blog-sidebar .blog-featured-group {
    border-color: rgba(255, 255, 255, 0.2);
  }

  body.dark-mode .blog-article .blog-h1,
  body.dark-mode .blog-article .blog-author,
  body.dark-mode .blog-article .blog-date {
    color: #f7f7f7;
  }

  body.dark-mode .blog-article #blog-content h2,
  body.dark-mode .blog-article #blog-content h3,
  body.dark-mode .blog-article #blog-content h4,
  body.dark-mode .blog-article #blog-content h5,
  body.dark-mode .blog-article #blog-content h6 {
    color: #f7f7f7;
  }

  body.dark-mode .blog-article #blog-content p,
  body.dark-mode .blog-article #blog-content li {
    color: #f7f7f7;
    opacity: .8;
  }

  body.dark-mode .blog-article #blog-content a:not(.cs-button-solid) {
    color: #9dafe5;
  }
}

/*-- -------------------------- -->
  <---          Sidebar           -->
  <--- -------------------------- -*/
/* Mobile - 360px */
@media only screen and (min-width: 0em) {
  .blog-sidebar {
    width: 100%;
    max-width: 49.6875em;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    row-gap: 3.125em;
  }

  .blog-sidebar .blog-featured-group {
    width: 100%;
    padding: 2.1875em 1.875em;
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
    border-radius: 0.5em;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
  }

  .blog-sidebar .blog-header {
    font-size: 1.25em;
    font-weight: bold;
    text-align: center;
    margin-bottom: 1.875rem;
    color: var(--bodyText);
    display: block;
    position: relative;
  }

  .blog-sidebar .blog-header:after {
    content: '';
    width: 3.125rem;
    height: 3px;
    margin: 1rem auto;
    background: var(--bodyText);
    border-radius: 0.25rem;
    display: block;
    position: relative;
  }

  .blog-sidebar .blog-feature {
    text-decoration: none;
    width: 100%;
    padding: 1.25rem 0;
    border-bottom: 1px solid #ebebeb;
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    column-gap: 1.5em;
  }

  .blog-sidebar .blog-feature:nth-of-type(1) {
    padding-top: 0;
  }

  .blog-sidebar .blog-feature:last-of-type {
    padding-bottom: 0;
    border: none;
  }

  .blog-sidebar .blog-featureImage {
    width: 3.75em;
    height: 3.75em;
    overflow: hidden;
    border-radius: 50%;
    display: block;
    position: relative;
    flex: none;
  }

  .blog-sidebar .blog-featureImage img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: absolute;
    top: 0;
    left: 0;
  }

  .blog-sidebar .feature-h3 {
    font-size: 0.9375rem;
    font-weight: 700;
    line-height: 1.5em;
    text-decoration: none;
    margin: 0;
    margin-bottom: 0.25rem;
    color: var(--bodyText);
    display: block;
  }

  .blog-sidebar .feature-date {
    font-size: 0.875rem;
    line-height: 1.5em;
    color: var(--bodyText);
    display: block;
  }
}

/* Tablet - 1024px */
@media only screen and (min-width: 64em) {
  .blog-sidebar {
    max-width: 22.5em;
  }
}

/*-- -------------------------- -->
  <---        Blog Articles       -->
  <--- -------------------------- -*/
/* Mobile - 360px */
@media only screen and (min-width: 0em) {
  .blog-article {
    width: 100%;
    max-width: 49.6875em;
    display: block;
  }

  .blog-article .blog-mainImage {
    width: 100%;
    height: clamp(200px, 30vw, 400px);
    margin-bottom: 3.125em;
    overflow: hidden;
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
    border-radius: 0.5em;
    display: block;
    position: relative;
  }

  .blog-article .blog-mainImage img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: absolute;
    top: 0;
    left: 0;
  }

  .blog-article .blog-author-img {
    width: 2em;
    height: 2em;
    overflow: hidden;
    border-radius: 50%;
    display: block;
    position: relative;
  }

  .blog-article .blog-author-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: absolute;
    top: 0;
    left: 0;
  }

  .blog-article .blog-authorGroup {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 0.75rem;
  }

  .blog-article .blog-author,
  .blog-article .blog-date {
    font-size: 0.875rem;
    line-height: 1.5em;
    color: var(--bodyText);
  }

  .blog-article .blog-dot {
    width: 3px;
    height: 3px;
    background-color: #fe4f70;
    border-radius: 50%;
    display: block;
  }

  .blog-article .blog-h1 {
    font-size: clamp(20px, 5vw, 39px);
    font-weight: 700;
    line-height: 1.4em;
    max-width: 39.375rem;
    margin: 1rem 0;
    color: var(--bodyText);
  }

  .blog-article #blog-content {
    margin-top: 1em;
    padding-top: 1.5625em;
    border-top: 1px solid #ebebeb;
  }

  .blog-article #blog-content h2 {
    font-size: 2rem;
    font-weight: 700;
    line-height: 1.5em;
    margin-bottom: 1rem;
    color: var(--bodyText);
  }

  .blog-article #blog-content h3 {
    font-size: 1.5rem;
    font-weight: 700;
    line-height: 1.5em;
    margin-bottom: 1rem;
    color: var(--bodyText);
  }

  .blog-article #blog-content .cs-quote {
    font-weight: 700;
    padding: 1.25rem;
    background-color: #f7f7f7;
    border-radius: 1rem;
  }

  .blog-article #blog-content h4,
  .blog-article #blog-content h5,
  .blog-article #blog-content h6 {
    font-size: 1.25rem;
    font-weight: 700;
    line-height: 1.5em;
    margin-bottom: 1rem;
    color: var(--bodyText);
  }

  .blog-article #blog-content p {
    font-size: 1rem;
    line-height: 1.6em;
    margin: 0;
    margin-bottom: 1rem;
    color: var(--bodyText);
  }

  .blog-article #blog-content a {
    font-size: inherit;
    text-decoration: underline;
    color: #fe4f70;
  }

  .blog-article #blog-content ul,
  .blog-article #blog-content ol {
    margin: 0;
    margin: 1rem 0;
    padding-left: 2.5rem;
  }

  .blog-article #blog-content ul li,
  .blog-article #blog-content ol li {
    font-size: 1rem;
    line-height: 1.6em;
    list-style: circle;
    margin-bottom: 1rem;
    color: var(--bodyText);
  }

  .blog-article #blog-content img {
    width: 100%;
    height: auto;
    margin: 2rem 0;
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
    border-radius: 0.5rem;
    display: block;
  }

  body.dark-mode .blog-article #blog-content .cs-quote {
    background-color: rgba(0, 0, 0, 0.4);
  }
}

/*-- -------------------------- -->
  <---        Newsletter          -->
  <--- -------------------------- -*/
/* Mobile */
@media only screen and (min-width: 0em) {
  #newsletter {
    padding: 3.75em 1em 0em;
    background: linear-gradient(119.05deg, #4ac7c2 -0.62%, #3f88f5 18.41%, #4611b8 65.86%, #1d005a 99.11%);
  }

  #newsletter h2 {
    font-size: 1.5625em;
    font-weight: bold;
    line-height: 1.4;
    text-align: center;
    margin-bottom: 0.64em;
    color: #fff;
  }

  #newsletter h2 span {
    display: block;
  }

  #newsletter p {
    font-size: 1em;
    line-height: 1.5em;
    text-align: center;
    width: 100%;
    max-width: 28.3125em;
    margin: auto;
    margin-bottom: 1.25em;
    color: #fff;
  }

  #newsletter form {
    max-width: 28.125em;
    margin: auto;
  }

  #newsletter form input {
    font-size: 1em;
    text-align: center;
    width: 100%;
    height: 3.5em;
    margin-bottom: 0.75em;
    padding: 0 1.5em;
    color: var(--bodyp);
    border: none;
    border-radius: 0.25em;
  }

  #newsletter form input::placeholder {
    color: #A0A3BD;
  }

  #newsletter form button {
    font-family: 'Ubuntu', Arial, sans-serif;
    font-size: 1em;
    font-weight: bold;
    line-height: 3.125em;
    text-align: center;
    width: 100%;
    max-width: 100%;
    height: 3.125em;
    margin-bottom: 1em;
    background: transparent;
    color: #fff;
    border: 1px solid #fff;
    border-radius: 0.25em;
    display: block;
    z-index: 10;
  }

  #newsletter .spam {
    font-size: 0.8125em;
    line-height: 1.5em;
    text-align: center;
    margin-bottom: 3.23076923em;
    color: #fff;
    opacity: .8;
    display: block;
  }

  #newsletter .button-orange {
    line-height: 4em;
    text-decoration: none;
    width: 100%;
    max-width: 28.125em;
    height: 4em;
    margin: auto;
    margin-bottom: -1.625em;
    display: block;
    position: relative;
    z-index: 10;
  }
}

/* Tablet */
@media only screen and (min-width: 48em) {
  #newsletter {
    padding-top: 5.875em;
  }

  #newsletter h2 {
    font-size: 1.9375em;
    line-height: 1.32258065em;
    margin-bottom: 0.51612903em;
  }

  #newsletter h2 span {
    display: inline-block;
  }

  #newsletter p {
    max-width: 40.8125em;
    margin-bottom: 1.5em;
  }

  #newsletter form {
    max-width: 33.75em;
    margin-bottom: 1em;
    display: flex;
    justify-content: space-between;
  }

  #newsletter form input {
    max-width: 16.25em;
    height: 3.125em;
    margin: 0;
  }

  #newsletter form button {
    font-size: 1em;
    max-width: 16.25em;
    height: 3.125em;
    margin: 0;
    position: relative;
    z-index: 1;
    transition: border .3s;
  }

  #newsletter form button:hover {
    border: 1px solid transparent;
  }

  #newsletter form button:hover:before {
    opacity: 1;
  }

  #newsletter form button:before {
    content: '';
    background: linear-gradient(90deg, #ffba43 -24.69%, #e12213 126.23%);
    opacity: 0;
    border-radius: 0.25em;
    display: block;
    position: absolute;
    top: -0.0625em;
    top: 0;
    right: -0.0625em;
    bottom: -0.0625em;
    left: -0.0625em;
    left: 0;
    z-index: -1;
    transition: opacity .3s;
  }

  #newsletter .spam {
    margin-bottom: 4.38461538em;
  }

  #newsletter .button-orange {
    max-width: 20.5em;
    position: relative;
    z-index: 1;
    transition: box-shadow 0.3s;
  }

  #newsletter .button-orange:hover {
    box-shadow: 0px 16px 24px rgba(2, 3, 3, 0.1), 0px 6px 30px rgba(2, 3, 3, 0.09), 0px 8px 10px rgba(2, 3, 3, 0.11);
  }

  #newsletter .button-orange:hover:before {
    opacity: 1;
  }

  #newsletter .button-orange:before {
    content: '';
    width: 100%;
    height: 100%;
    background: linear-gradient(127.08deg, #ff1a83 28.48%, #ba0055 100.16%);
    opacity: 0;
    border-radius: 0.25em;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    transition: opacity .3s;
  }
}

/* Dark Mode */
@media only screen and (min-width: 0em) {
  body.dark-mode #newsletter {
    position: relative;
    z-index: 1;
  }

  body.dark-mode #newsletter:before {
    content: '';
    width: 100%;
    height: 100%;
    /* Permalink - use to edit and share this gradient: https://colorzilla.com/gradient-editor/#181f3f+0,181f3f+100&1+0,0+100 */
    background: -moz-linear-gradient(top, #181f3f 0%, rgba(24, 31, 63, 0) 100%);
    /* FF3.6-15 */
    background: -webkit-linear-gradient(top, #181f3f 0%, rgba(24, 31, 63, 0) 100%);
    /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(to bottom, #181f3f 0%, rgba(24, 31, 63, 0) 100%);
    /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#181f3f', endColorstr='#00181f3f', GradientType=0);
    /* IE6-9 */
    opacity: 1;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    transition: opacity .3s;
  }

  body.dark-mode #newsletter:after {
    /* top right box */
    content: '';
    width: 100%;
    height: 1.625em;
    background: var(--dark);
    opacity: 1;
    display: block;
    position: absolute;
    bottom: 0;
    left: 0;
  }
}

/*-- -------------------------- -->
  <---           Footer           -->
  <--- -------------------------- -*/
/* Mobile - 360px */
@media only screen and (min-width: 0em) {
  #cs-footer {
    font-family: 'Roboto', 'Arial', sans-serif;
    /* 60px - 100px top and bottom */
    padding: clamp(3.75em, 7.82vw, 6.25em) 1em;
    background-color: #1a1a1a;
  }

  #cs-footer .cs-container {
    width: 100%;
    max-width: 80em;
    margin: auto;
  }

  #cs-footer .cs-logo-group {
    /* takes up all the space, lets the other ul's wrap below it */
    width: 100%;
    position: relative;
  }

  #cs-footer .cs-logo {
    /* 210px - 240px */
    width: clamp(13.125em, 8vw, 15em);
    height: auto;
    /* 28px - 44px */
    margin-bottom: clamp(1.75em, 4.17vw, 2.75em);
    display: block;
  }

  #cs-footer .cs-logo-img {
    width: 100%;
    height: auto;
  }

  #cs-footer .cs-text {
    /* 14px - 16px */
    font-size: clamp(0.875rem, 2.5vw, 1rem);
    line-height: 1.5em;
    /* changes to 521px at desktop */
    max-width: 21.5rem;
    margin: 0;
    margin-bottom: 2.5rem;
    color: var(--bodyTextColorWhite);
  }

  #cs-footer .cs-nav {
    margin: 0;
    /* 32px - 40px */
    margin-bottom: clamp(2em, 5.3vw, 2.5em);
    padding: 0;
    padding-left: 1em;
  }

  #cs-footer .cs-nav-li {
    line-height: 1.5em;
    list-style: none;
  }

  #cs-footer .cs-nav-li:last-of-type {
    margin-bottom: 0;
  }

  #cs-footer .cs-header {
    font-size: 1rem;
    font-weight: 700;
    line-height: 1.5em;
    margin-bottom: 1.25rem;
    color: var(--bodyTextColorWhite);
    display: block;
    position: relative;
  }

  #cs-footer .cs-nav-link {
    font-size: 1rem;
    line-height: 1.5em;
    text-decoration: none;
    color: var(--bodyTextColorWhite);
    position: relative;
  }

  #cs-footer .cs-nav-link:before {
    /* underline */
    content: '';
    width: 0%;
    height: 0.125rem;
    /* current color of the parent */
    background: currentColor;
    opacity: 1;
    display: block;
    position: absolute;
    bottom: -0.125rem;
    left: 0;
    transition: width .3s;
  }

  #cs-footer .cs-nav-link:hover:before {
    width: 100%;
  }

  #cs-footer .cs-bottom {
    width: 100%;
    padding-left: 1em;
    position: relative;
  }

  #cs-footer .cs-copyright {
    font-size: 1rem;
    line-height: 1.5em;
    color: #B4B2C7;
    display: block;
  }

  #cs-footer .cs-social {
    display: inline-flex;
    flex-direction: column;
    justify-content: flex-start;
    gap: 0.75em;
    position: absolute;
    right: 1em;
    bottom: 0;
  }

  #cs-footer .cs-social-link {
    width: 1.5rem;
    height: 1.5rem;
    background-color: #4E4B66;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    z-index: 1;
    transition: transform 0.3s, background-color 0.3s;
  }

  #cs-footer .cs-social-link:hover {
    background-color: var(--primary);
    transform: translateY(-0.1875rem);
  }

  #cs-footer .cs-social-img {
    width: auto;
    height: 0.8125rem;
    display: block;
  }
}

/* Inbetween - 600px */
@media only screen and (min-width: 37.5em) {
  #cs-footer .cs-container {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    flex-wrap: wrap;
    /* 48px - 60px */
    column-gap: clamp(3em, 5.9vw, 3.75em);
  }
}

/* Tablet - 768px */
@media only screen and (min-width: 48em) {
  #cs-footer .cs-logo-group {
    /* 20px - 60px */
    margin-bottom: clamp(1.25em, 4vw, 3.75em);
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
  }

  #cs-footer .cs-logo {
    margin: 0;
  }

  #cs-footer .cs-text {
    text-align: right;
    width: 50%;
    max-width: 32.5625rem;
    margin: 0;
  }

  #cs-footer .cs-nav {
    padding: 0;
  }

  #cs-footer .cs-bottom {
    padding: 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  #cs-footer .cs-social {
    flex-direction: row;
    position: relative;
    right: auto;
    /* reset these positions */
    bottom: auto;
  }
}